Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/postgresql-hll: new aport

From: Remco Bloemen <alpine-dev_at_xn--2-umb.com>
Date: Mon, 28 Mar 2016 18:19:21 +0200

https://u2053781.ct.sendgrid.net/wf/click?upn=JTnF8wgwBIokMlcOd12P0kGgtvL-2FgQRbmdc1ViDTEUwI-2BXWSvYABtLt5zKaXEZllVkNTwYK9NWJtinJ-2F9uxxog-3D-3D_GHzRnnWnouawBHwPat7BjRdQi3MaYPcip-2BmM9ebpW4xV0NCNrWJrDQfptotE30U-2Bh4ffrBabf53ipZHWszTeRdaeTznYfbwxCmDaB4sKBsMmUNvfkL7CjDXNLO7iPfc8k7v7X0yxAJdTJJqE2d8TQklaP9zU2-2BOvW5Wbb21zwv-2BQP5vwN8NeSy8eVTI4nnB-2FBjN7layhgnLD2T3CmP3BxaN-2Fs5ESnGUxjXN3By-2FCzJk-3D
PostgreSQL extension adding HyperLogLog data structures as a native data type
---
 testing/postgresql-hll/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/postgresql-hll/APKBUILD
diff --git a/testing/postgresql-hll/APKBUILD b/testing/postgresql-hll/APKBUILD
new file mode 100644
index 0000000..6fbfcf1
--- /dev/null
+++ b/testing/postgresql-hll/APKBUILD
_at__at_ -0,0 +1,40 @@
+# Contributor: Remco Bloemen <alpine-dev_at_xn--2-umb.com>
+# Maintainer:
+pkgname=postgresql-hll
+pkgver=2.10.0
+pkgrel=0
+pkgdesc="PostgreSQL extension adding HyperLogLog data structures as a native 
data type"
+url="https://u2053781.ct.sendgrid.net/wf/click?upn=JTnF8wgwBIokMlcOd12P0kGgtvL-2FgQRbmdc1ViDTEUwI-2BXWSvYABtLt5zKaXEZllVkNTwYK9NWJtinJ-2F9uxxog-3D-3D_GHzRnnWnouawBHwPat7BjRdQi3MaYPcip-2BmM9ebpW4xV0NCNrWJrDQfptotE30U-2Bh4ffrBabf53ipZHWszTeRVxyGHJXq6UAzDXsy-2F7yQG76giOBUNYr-2Bbc-2FlfPRe0AD3Ww39eGxr0MJ-2F4I26DutxXBOqyFYBBvUqffGXGoBaEDRzcC-2BS7WOHYszrEwv-2Fg1P5hyMcunN-2BgZGSRbIAyshHLM2RKs0w3HH5Lt-2Bbo-2FT3yo-3D"
+arch="all"
+license="ASL 2.0"
+depends="postgresql"
+depends_dev=""
+makedepends="$depends_dev postgresql-dev"
+install=""
+subpackages=""
+source="saveas-https://u2053781.ct.sendgrid.net/wf/click?upn=JTnF8wgwBIokMlcOd12P0kGgtvL-2FgQRbmdc1ViDTEUwhEXhmDSM38es5qSJtAFTjRJcs2k2xfCGvs-2B9INmAEIg-3D-3D_GHzRnnWnouawBHwPat7BjRdQi3MaYPcip-2BmM9ebpW4xV0NCNrWJrDQfptotE30U-2Bh4ffrBabf53ipZHWszTeRfqIO2wXOa6dAkr51hA2V4w9FCbEpIW7cdKk-2F4Vxaf6sUzw3ol2k4SNXPQPHixURuPagjhTDBq1z-2FMcxGi5UOxe5u3mRWSo-2FnclPVpExRLVw98WleVAKxb9hRo1AccGbba1nKkudbeTlrBPk-2BNURB0M-3D
$pkgver.tar.gz/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+       local i
+       cd "$_builddir"
+       for i in $source; do
+               case $i in
+               *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+               esac
+       done
+}
+
+build() {
+       cd "$_builddir"
+       make || return 1
+}
+
+package() {
+       cd "$_builddir"
+       make DESTDIR="$pkgdir" install
+}
+
+md5sums="9dbf66901570105a8c671d765799a6d0  postgresql-hll-2.10.0.tar.gz"
+sha256sums="6a310ac19f64b3cbd1f5afee2a9a424ca361fbec4dd382553ebec69edfaea68a  
postgresql-hll-2.10.0.tar.gz"
+sha512sums="5d13b407e2657d1117dd4765a26cbf6304a8399e4c1882972c52e65eab0e7e1540ada63b1629db138a553504bb955d41342714eb721576b19c2885d2584480ad  
postgresql-hll-2.10.0.tar.gz"
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 28 2016 - 18:19:21 GMT